import { NgModule } from '@angular/core';
import { IonicApp, IonicModule } from 'ionic-angular';
import { MyApp } from './app.component';

import { LoginPage } from '../pages/login/login'
import { HomePage } from '../pages/home/home'

import { CustomerListPage } from '../pages/customer-list/customer-list';
import { ProductListPage } from '../pages/product-list/product-list';
import { LeadListPage } from '../pages/lead-list/lead-list';
import { OpportunityListPage } from '../pages/opportunity-list/opportunity-list';
import { CallListPage } from '../pages/call-list/call-list';

import { ProjectListPage } from '../pages/project-list/project-list';
import { TaskListPage } from '../pages/task-list/task-list';

import { SettingsPage } from '../pages/settings/settings';
import { AboutPage } from '../pages/about/about'

@NgModule({
    declarations: [
        MyApp,
        LoginPage,
        HomePage,
        CustomerListPage,
        ProductListPage,
        LeadListPage,
        OpportunityListPage,
        CallListPage,
        ProjectListPage,
        TaskListPage,
        SettingsPage,
        AboutPage
    ],
    imports: [
        IonicModule.forRoot(MyApp)
    ],
    bootstrap: [IonicApp],
    entryComponents: [
        MyApp,
        LoginPage,
        HomePage,
        CustomerListPage,
        ProductListPage,
        LeadListPage,
        OpportunityListPage,
        CallListPage,
        ProjectListPage,
        TaskListPage,
        SettingsPage,
        AboutPage
    ],
    providers: []
})
export class AppModule {}
